summaryrefslogtreecommitdiffstats
path: root/source/l/mpfr/mpfr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/mpfr/mpfr.SlackBuild')
-rwxr-xr-xsource/l/mpfr/mpfr.SlackBuild30
1 files changed, 21 insertions, 9 deletions
diff --git a/source/l/mpfr/mpfr.SlackBuild b/source/l/mpfr/mpfr.SlackBuild
index 55e41a196..98e068a82 100755
--- a/source/l/mpfr/mpfr.SlackBuild
+++ b/source/l/mpfr/mpfr.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,11 @@
# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=mpfr
-VERSION=${VERSION:-$(echo mpfr-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo mpfr-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -62,7 +64,6 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-mpfr
rm -rf $PKG
@@ -74,10 +75,18 @@ if [ ! "$PATCHLEVEL" = "" ]; then
PATCHLEVEL="p${PATCHLEVEL}"
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION${PATCHLEVEL}-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
cd $TMP
rm -rf mpfr-$VERSION
-tar xvf $CWD/mpfr-$VERSION.tar.xz || exit 1
-cd mpfr-$VERSION
+tar xvf $CWD/mpfr-$VERSION.tar.?z || exit 1
+cd mpfr-$VERSION || exit 1
chown -R root:root .
if [ ! -z "$(ls $CWD/patches/* 2> /dev/null)" ]; then
@@ -100,9 +109,9 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--infodir=/usr/info \
--docdir=/usr/doc/mpfr-$VERSION \
- --enable-static=yes \
+ --enable-static=no \
--enable-shared=yes \
- --build=$TARGET
+ --build=$TARGET || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -113,6 +122,9 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
# Hardly a savings doing this...
#strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*